Subject: RE: [NSIS] GIST over GIST-unaware NATs

From: "Hancock, Robert" <[email-masked]>
Date: Thu, 12 Oct 2006 10:32:44 +0100

hi,

just a note to the effect that I was planning to cover point
(1) below (detection of the unaware NAT by header analysis)
in the GIST spec in section 7.2 (see email discussions at
http://www1.ietf.org/mail-archive/web/nsis/current/msg06710.html)
and include an informative reference to andreas' draft.

r.

> -----Original Message-----
> From: Martin Stiemerling [mailto:[email-masked]] 
> Sent: 12 October 2006 08:03
> To: <[email-masked]>
> Cc: [email-masked]; [email-masked]
> Subject: Re: [NSIS] GIST over GIST-unaware NATs
> 
> 
> I'm in favour of having such document dealing with GIST-unaware NAT  
> traversal. However, I haven't read the latest version of draft- 
> pashalidis-nsis-gist-legacynats-00 by now (on my record for the next  
> days).
> 
>    Martin
> 
> Am 12.10.2006 um 05:14 schrieb <[email-masked]>  
> <[email-masked]>:
> 
> > Actually, I think this should be added as a WG document.
> >
> > Comments?
> > John
> >
> >> -----Original Message-----
> >> From: ext Xiaoming Fu [mailto:[email-masked]]
> >> Sent: 11 October, 2006 22:49
> >> To: [email-masked]
> >> Subject: [NSIS] GIST over GIST-unaware NATs
> >>
> >> Hi all,
> >>
> >> There were some IESG discussions on GIST over GIST-unaware 
> NATs.  I 
> >> read through draft-pashalidis-nsis-gist-legacynats-00
> >> and found it makes a number of clarifications on this issue:
> >>
> >> - The presence of a GIST-unaware NAT can be detected by comparing 
> >> headers of the GIST query-response procedure message in the two 
> >> adjacent non-NAT GIST nodes.
> >>
> >> - Upon the detection of such a NAT (and affiliated rules), 
> these two 
> >> GIST nodes can then establish a UDP tunnel between them, and 
> >> encapsulate the GIST messages (query-response-...) into 
> the tunnel, 
> >> and the outgoing tunnel endpoints decapsulate the messages 
> into the 
> >> desired format.
> >>
> >> - The draft also gives detailed description on GIST signaling and 
> >> data traffic processing in both the case where a NAT is 
> located close 
> >> to the NI and the case where a NAT is close to the NR. The 
> rationale 
> >> looks fine to me. If there is an implementation demoing this, it 
> >> would be even nicer.
> >>
> >> What do others think?
> >> Xiaoming
> >>
> >> _______________________________________________
> >> nsis mailing list
> >> [email-masked]
> >> https://www1.ietf.org/mailman/listinfo/nsis
> >>
> >
> > _______________________________________________
> > nsis mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/nsis
> 
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis